Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.swing
Interface GridBagConstants

All Known Implementing Classes:
  JAffineTransformChooser, JGridBagPanel, PreferenceDialog

    public interface GridBagConstants

`GridBagConstraints` constants.

Field Summary
`static int` | `BOTH` Resize the component both horizontally and vertically.
`static int` | `CENTER` Put the component in the center of its display area.
`static int` | `EAST` Put the component on the left side of its display area, centered vertically.
`static int` | `HORIZONTAL` Resize the component horizontally but not vertically.
`static int` | `NONE` Do not resize the component.
`static int` | `NORTH` Put the component at the top of its display area, centered horizontally.
`static int` | `NORTHEAST` Put the component at the top-right corner of its display area.
`static int` | `NORTHWEST` Put the component at the top-left corner of its display area.
`static int` | `REMAINDER` Specify that this component is the last component in its column or row.
`static int` | `SOUTH` Put the component at the bottom of its display area, centered horizontally.
`static int` | `SOUTHEAST` Put the component at the bottom-right corner of its display area.
`static int` | `SOUTHWEST` Put the component at the bottom-left corner of its display area.
`static int` | `VERTICAL` Resize the component vertically but not horizontally.
`static int` | `WEST` Put the component on the left side of its display area, centered vertically.

Field Detail

### REMAINDER

    static final int REMAINDER

  Specify that this component is the last component in its column or row.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### NONE

    static final int NONE

  Do not resize the component.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### BOTH

    static final int BOTH

  Resize the component both horizontally and vertically.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### HORIZONTAL

    static final int HORIZONTAL

  Resize the component horizontally but not vertically.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### VERTICAL

    static final int VERTICAL

  Resize the component vertically but not horizontally.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### CENTER

    static final int CENTER

  Put the component in the center of its display area.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### NORTH

    static final int NORTH

  Put the component at the top of its display area, centered horizontally.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### NORTHEAST

    static final int NORTHEAST

  Put the component at the top-right corner of its display area.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### EAST

    static final int EAST

  Put the component on the left side of its display area, centered vertically.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### SOUTHEAST

    static final int SOUTHEAST

  Put the component at the bottom-right corner of its display area.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### SOUTH

    static final int SOUTH

  Put the component at the bottom of its display area, centered horizontally.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### SOUTHWEST

    static final int SOUTHWEST

  Put the component at the bottom-left corner of its display area.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### WEST

    static final int WEST

  Put the component on the left side of its display area, centered vertically.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

### NORTHWEST

    static final int NORTHWEST

  Put the component at the top-left corner of its display area.

  Since:
    JDK1.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.